"""Changed datatype of UUID

Revision ID: eb6c611e6ca0
Revises: 8060bec310c8
Create Date: 2016-08-25 13:19:46.905741

"""

# revision identifiers, used by Alembic.
revision = 'eb6c611e6ca0'
down_revision = '8060bec310c8'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('actions', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('applications', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('forms', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('modules', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.create_foreign_key('fk_printtemplates_uid_users', 'printtemplates', 'users', ['uid'], ['id'], use_alter=True)
    op.create_foreign_key('fk_printtemplates_gid_usergroups', 'printtemplates', 'usergroups', ['gid'], ['id'], use_alter=True)
    op.alter_column('profiles', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('ratings', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('roles', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('usergroups', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('users', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('users', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('usergroups', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('roles', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('ratings', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('profiles', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.drop_constraint('fk_printtemplates_gid_usergroups', 'printtemplates', type_='foreignkey')
    op.drop_constraint('fk_printtemplates_uid_users', 'printtemplates', type_='foreignkey')
    op.alter_column('modules', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('forms', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('applications', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('actions', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    ### end Alembic commands ###
    iter_statements(DELETES)
